## Class GreaterOp

    java.lang.Object
      |
      +--Operator
            |
            +--RelOp
                  |
                  +--GreaterOp

public class GreaterOp
extends RelOp

Constructor Summary
`GreaterOp()`

Method Summary
`void` `codegen(ClassFile classfile, CodeAttribute code, Expr expr, boolean not, de.dhbwstuttgart.typeinference.Menge paralist)`
`void` `if_codegen(ClassFile classfile, CodeAttribute code, java.lang.String type, boolean not)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GreaterOp

    public GreaterOp()

Method Detail

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        Expr expr,
                        boolean not,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Operator`
    `JVMCodeException`

### if_codegen

    public void if_codegen(ClassFile classfile,
                           CodeAttribute code,
                           java.lang.String type,
                           boolean not)
                    throws JVMCodeException

  Specified by:
    `if_codegen` in class `RelOp`
    `JVMCodeException`